Our Themes and WordPress 3.5

New major release of WordPress here. Version 3.5 of the world’s most popular CMS become available this week. We immediatelly started to check all our themes against the new WordPress 3.5. This version comes with a bunch of new interesting features..

First and the most important change is new improved Media Manager. We are sure it will save a lot of your time and make your work with media more comfortable. The new Media Manager itself is enough to convince you to upgrade your site to the latest version.

wordpress 3.5However, under the hood, new WordPress 3.5 comes with many other changes. One of the most important change for all theme and plugin developers is usage of new jQuery 1.8.3 and jQuery UI 1.9.2 libraries. All those who are experienced with jQuery know that new versions of these popular JavaScript libraries bring many new features and faster and more stable code, but at the same time, some old functions are omitted or changed. This is something that actually might knock your site down, if it uses a theme or a plugin that’s based on the older jQuery or jQuery UI release.

We thoroughly tested all our themes and plugins and did all necessary changes in the code to make them 100% compatible with new WordPress 3.5 and new jQuery libraries that it uses. If you are using any of our themes, after upgrade your site to WordPress 3.5 you could experience some problems. However, we have patches for all problems related to all our products. If you bought a single theme or plugin, you are eligible for the lifetime updates. In this case, please login to the download repository and download the latest version. If you have an active subcription, please do the same. If you have an inactive subscription, please renew it to get the latest themes and plugins releases.

After you download the product archive, please unzip it somewhere on your computer and upload only the files that we will mention for each theme. You can use any FTP program to do this. Alternatively, you can do this through your hosting control panel. You should overwrite old files on your site with new files.

Hot Architecture Theme

Old Hot Newsflash plugin could be problematic with WordPress 3.5. Please change all Hot Newsflash plugin files with new files or reinstall the entire plugin (this will erase your data, so it’s better to use FTP). Beside that, upload these files:

  • /wp-content/themes/wp_hot_architecture/header.php
  • /wp-content/themes/wp_hot_architecture/style.css
  • /wp-content/themes/wp_hot_architecture/css/template_css.php
  • /wp-content/themes/wp_hot_architecture/js/jQuery.min.js
  • /wp-content/themes/wp_hot_architecture/js/jquery-ui.min.js
  • /wp-content/themes/wp_hot_architecture/js/jquery-ui-tabs-rotate.js (not present in the old theme)

Hot Business Theme

You won’t have any problems after upgrade to WordPress 3.5. However, we recommend overwriting this file:

  • /wp-content/themes/wp_hot_business/js/jquery-ui.min.js

Hot Chameleon Theme

Hot Carousel Pro will stop working after upgrade, so you should upload this file:

  • /wp-content/themes/wp_hot_chameleon/js/jquery-ui.min.js

Hot Design Now Theme

Hot Designation plugin will not work after upgrade. This should be fixed by uploading this file:

  • /wp-content/themes/wp_hot_designnow/js/jquery-ui.min.js

Hot Destinations Theme

Same as with Design Now, the Hot Designation plugin won’t work after upgrade. Please upload this file to fix this:

  • /wp-content/themes/wp_hot_destinations/js/jquery-ui.min.js

Hot Flashes Theme

The Big Flashes menu on the home and inner pages will not work properly after update to WordPress 3.5. Please upload these new files:

  • /wp-content/themes/wp_hot_flashes/js/jQuery.min.js
  • /wp-content/themes/wp_hot_flashes/js/jquery-ui.min.js
  • /wp-content/themes/wp_hot_flashes/js/jquery.bgpos.js

Hot Hotel Theme

Site will work normally after upgrade to WP 3.5, but we recommend you to upload this file anyway:

  • /wp-content/themes/wp_hot_hotel/js/jquery-ui.min.js

Hot Photo Portfolio Theme

Site will work normally after upgrade to WP 3.5, but we recommend you to upload this file to prevent problems:

  • /wp-content/themes/wp_hot_photoportfolio/js/jquery-ui.min.js

Hot Vortex Theme

After upgrade to WP 3.5, the images rotator (Hot Spinner plugin) will stop working. Please upload entire Hot Spinner plugin or reinstall entire plugin (this will erase your data, so better use FTP). You would also need to upload these updated files to back your site to normal:

  • /wp-content/themes/wp_hot_vortex/js/jquery.min.js
  • /wp-content/themes/wp_hot_vortex/js/jquery-ui.min.js
  • /wp-content/themes/wp_hot_vortex/js/template_css.php

Hot Wellness Theme

New WordPress makes problems with old Mega Menu in this theme. So, please upload these files to back your site to normal:

  • /wp-content/themes/wp_hot_wellness/js/jquery.min.js
  • /wp-content/themes/wp_hot_wellness/js/jquery-ui.min.js
  • /wp-content/themes/wp_hot_wellness/js/jquery.hjt.megamenu.js

 

The last four themes that we will mentioned here are ecommerce WordPress themes powered by wooCommerce plugin. New releases of our themes, beside the latest WordPress 3.5, support the latest version of wooCommerce 1.6. We will mention all ecommerce themes here and mention files that you should patch.

Hot Cosmetics E-commerce Theme

Everything will work normally after upgrade to WordPress 3.5 and wooCommerce 1.6, however, you’re advised to upload these files:

  • /wp-content/themes/wp_hot_cosmetics/js/jquery-ui.min.js

Hot eCommerce Theme

There is a conflict between one theme file and new jQuery, so please upload these files after WordPress upgrade:

  • /wp-content/themes/wp_hot_ecommerce/js/jquery.min.js
  • /wp-content/themes/wp_hot_ecommerce/js/jquery-ui.min.js
  • /wp-content/themes/wp_hot_ecommerce/js/theme.js

Hot Fashion Store E-commerce Theme

Site will work normally after WordPress and wooCommerce upgrade, but there are some CSS tweaks, so, please upload these new files:

  • /wp-content/themes/wp_hot_fashion/style.css
  • /wp-content/themes/wp_hot_fashion/js/jquery-ui.min.js

Hot Furniture Store E-commerce Theme

This theme was one of the most problematic, however we solved all conflicts between the theme and new WordPress. After WordPress upgrade, you should upload all files of Hot Newsflash plugin (or reinstall it, but you will lose plugin’s settings in this case). Beside that, please change the following files:

  • /wp-content/themes/wp_hot_furniture/header.php
  • /wp-content/themes/wp_hot_furniture/js/theme.js
  • /wp-content/themes/wp_hot_furniture/js/jquery.min.js
  • /wp-content/themes/wp_hot_furniture/js/jquery-ui.min.js
  • /wp-content/themes/wp_hot_furniture/js/jquery-ui-tabs-rotate.js (not present in the old theme)
  • DELETE file /wp-content/themes/wp_hot_furniture/css/jquery-ui.css (it’s not needed anymore and makes conflict now)

 

That’s all for now. If your theme is not mentioned here, it means the theme has been released after WordPress 3.5 release.

Leave a Reply